Update Delivery Slot

Update delivery slots (previously known as Planned Delivery Windows) to allow customers to schedule their orders.

🚧

While it is possible to update delivery slots via API, we strongly encourage you to use the Bringg User Interface (Platform) for delivery slot updates.

Response (Output) Params
ParameterDescription
id
integer
Bringg's ID for the delivery slot.
end_time
datetime
The date and time by which the associated order should be delivered. Counted as minutes from midnight Monday UTC. Format 00:00.
fill_ratio
double
Indicates the percentage of the delivery slot that is already booked. This can be used to determine pricing or the need for additional resources.
Example values:
0 - the slot is empty
0.36 - the slot is 36% full
1 - the slot is full
start_time
datetime
The date and time at which the associated order can begin to be delivered. Counted as minutes from midnight Monday UTC. Format 00:00.
team_id
integer
Bringg's ID for the associated team.
Body Params
integer

Bringg's ID for the time slot.

string

Display name of time slot.

double

Additional fees associated with a specific Planned Delivery Window.

integer

Bringg's ID for the team associated with this time slot.
Required if not using team_external_id

string

Your id for the team
Required if not using team_id

string

Last time to place an order that can be fulfilled in this delivery slot.
Time is local to the team, example "19:00"

integer

Day of the week where 1 = Monday and 7 = Sunday

string

The time the time slot begins. Counted as minutes from midnight Monday UTC. Format 00:00.

integer

Day of the week where 1 = Monday and 7 = Sunday

string

The time this time slot ends. Counted as minutes from midnight Monday UTC. Format 00:00.

integer

Day of the week where 1 = Monday and 7 = Sunday

service_plan_ids
array of integers

Bringg's IDs for the associated service plans or SLAs.

service_plan_ids
service_plan_external_ids
array of strings

Your external system's IDs for the associated service plan(s)

service_plan_external_ids
service_area_ids
array of integers

The service areas that are applicable for this time slot. Learn more about creating service areas in the Bringg UI or via the Create Service Area endpoint.

service_area_ids
service_area_external_ids
array of strings

Your external system's ID for the associated service area(s).

service_area_external_ids
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json